Bug 1701567 - Review Request: colorized-logs - Tools for logs with ANSI color
Summary: Review Request: colorized-logs - Tools for logs with ANSI color
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-19 15:57 UTC by Adam Borowski
Modified: 2020-02-18 15:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-18 15:40:09 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Adam Borowski 2019-04-19 15:57:50 UTC
Spec URL: https://angband.pl/tmp/fedora/colorized-logs.spec
SRPM URL: https://angband.pl/tmp/fedora/colorized-logs-2.4-1.src.rpm
Description: Tools for logs with ANSI color
Fedora Account System Username: kilobyte

Hi!
I'd like to request review and sponsoring for this package; it provides tools for working with colorized logs -- both obtaining them when not at a terminal ("pipetty dmesg") or for consuming (ansi2html, ...).  This is my very second Fedora submission, concurrent with the first, thus please forgive and report inadequacies.

Comment 1 Xavier Bachelot 2019-04-19 16:57:40 UTC
Hi Adam,

Here's what I noted in the specfile:
- Missing %{?dist} in Release tag.
- make %{?_smp_mflags} --> %make_build
- Missing %license in %files
- Missing README in %doc
- %check is usually after %install

Regards,
Xavier

Comment 2 Adam Borowski 2019-04-21 20:44:45 UTC
Done; the new SRPM is at: https://angband.pl/tmp/fedora/colorized-logs-2.4-1.fc30.src.rpm

Thanks for the review so far!

Comment 3 Xavier Bachelot 2019-04-23 10:29:57 UTC
You need to bump the release and add a changelog entry each time you make changes to the specfile.
Also you need to provide both the Spec and SRPM URL, so fedora-review can process the bug.

Add a blank line between %install and %spec sections.
Remove the blank line separating the %doc from the others files in the %files section.

I was going to look at the other review you submitted, but it was already taken care of.
Now to find a sponsor, you need to submit more packages for review and/or do informal review of other packages.
The aim is too show you have a good understanding of the packaging guidelines.

Comment 4 Adam Borowski 2019-04-23 16:49:22 UTC
Spec URL: https://angband.pl/tmp/fedora/colorized-logs.spec
SRPM URL: https://angband.pl/tmp/fedora/colorized-logs-2.4-1.fc30.src.rpm

Done, other than for bumping release/changelog -- should they keep trace of any in-review version that hasn't been committed to any public repository?  This would pollute the final package with WIP changes.  But perhaps I'm wrong with applying the reasoning I'm used to in Debian to Fedora workflows?  The diff from previous attempt is whitespace only, so there are no real changes to mention in this case.  Is this good enough for now?


For the other package (vmemcache): fedora-scm-requests got denied because "review is approved by a user that is not a packager", thus I guess it needs to be seen by someone with actual privileges.

Comment 5 Xavier Bachelot 2019-04-23 20:31:00 UTC
(In reply to Adam Borowski from comment #4)
> Spec URL: https://angband.pl/tmp/fedora/colorized-logs.spec
> SRPM URL: https://angband.pl/tmp/fedora/colorized-logs-2.4-1.fc30.src.rpm
> 
> Done, other than for bumping release/changelog -- should they keep trace of
> any in-review version that hasn't been committed to any public repository? 
> This would pollute the final package with WIP changes.  But perhaps I'm
> wrong with applying the reasoning I'm used to in Debian to Fedora workflows?
> The diff from previous attempt is whitespace only, so there are no real
> changes to mention in this case.  Is this good enough for now?
> 
It doesn't matter that much for simple package like this one, where the changes pointed out by the review are simple as well and easy to verify, but for more complicated packages and more involved changes, the reviewer needs to be able to examine carefully the changes. Thus it is good habit to always bump the release and add a changelog entry, even at review time.

> 
> For the other package (vmemcache): fedora-scm-requests got denied because
> "review is approved by a user that is not a packager", thus I guess it needs
> to be seen by someone with actual privileges.

It's too early for the scm request, you need to be sponsored first (and that's why the request failed, you are not in the packager group yet).
That's why I (and Bob in the vmemcache review) asked for more packages from you or that you make informal reviews of other packages submissions. We both can sponsor you, just show us your skills and that will happen :-)

I haven't run fedora-review yet on this package, but I expect the result to be clean and there are good chances I would approve it after.

Comment 6 Robert-André Mauchin 🐧 2019-07-11 21:35:55 UTC
LGTM, package approved.



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* Expat License". 17
     files have unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/colorized-logs/review-colorized-
     logs/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: colorized-logs-2.4-1.fc31.x86_64.rpm
          colorized-logs-debuginfo-2.4-1.fc31.x86_64.rpm
          colorized-logs-debugsource-2.4-1.fc31.x86_64.rpm
          colorized-logs-2.4-1.fc31.src.rpm
colorized-logs.x86_64: W: spelling-error %description -l en_US gcc -> cc, g cc, gulch
colorized-logs.x86_64: W: spelling-error %description -l en_US dmesg -> demesne
colorized-logs.x86_64: W: spelling-error %description -l en_US colordiff -> color diff, color-diff, colorful
colorized-logs.x86_64: W: spelling-error %description -l en_US ccze -> eczema
colorized-logs.x86_64: W: spelling-error %description -l en_US scroller -> stroller, scrolled, scroll er
colorized-logs.x86_64: W: spelling-error %description -l en_US ttyrec -> McIntyre
colorized-logs.x86_64: W: spelling-error %description -l en_US stdout -> stout, std out, std-out
colorized-logs.x86_64: W: spelling-error %description -l en_US stderr -> std err, std-err, stander
colorized-logs.src: W: spelling-error %description -l en_US dmesg -> demesne
colorized-logs.src: W: spelling-error %description -l en_US colordiff -> color diff, color-diff, colorful
colorized-logs.src: W: spelling-error %description -l en_US ccze -> eczema
colorized-logs.src: W: spelling-error %description -l en_US scroller -> stroller, scrolled, scroll er
colorized-logs.src: W: spelling-error %description -l en_US ttyrec -> McIntyre
colorized-logs.src: W: spelling-error %description -l en_US pipetty -> pipette, pi petty, pi-petty
colorized-logs.src: W: spelling-error %description -l en_US stdout -> stout, std out, std-out
colorized-logs.src: W: spelling-error %description -l en_US stderr -> std err, std-err, stander
4 packages and 0 specfiles checked; 0 errors, 16 warnings.


 I have sponsored you, please make sure you are suscribed to the required mailing lists:

You must join the fedora devel-announce mailing list. It is a low traffic announcements only list, where important development information is posted.
https://lists.fedoraproject.org/archives/list/devel-announce@lists.fedoraproject.org/

You can join the fedora devel mailing list, where discussions about the development of Fedora are held. This is a high traffic mailing list.
https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/

Another mailing list you might consider (at least to view the archives) is packaging. This is the mailing list of the Fedora Packaging Committee, who determine the official packaging guidelines for Fedora projects.
https://lists.fedoraproject.org/archives/list/packaging@lists.fedoraproject.org/

Read up on "Configure Your Git", "Install the developer client tools", then continue with requesting your repos: https://fedoraproject.org/wiki/Join_the_package_collection_maintainers?rd=PackageMaintainers/Join#Add_Package_to_Source_Code_Management_.28SCM.29_system_and_Set_Owner

Comment 7 Gwyn Ciesla 2019-07-12 17:01:45 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/colorized-logs


Note You need to log in before you can comment on or make changes to this bug.